org.keycloak.dom.saml.v2.protocol

## Class RequestedAuthnContextType

- java.lang.Object
- - org.keycloak.dom.saml.v2.protocol.RequestedAuthnContextType

-     public class RequestedAuthnContextType
      extends Object

  Java class for RequestedAuthnContextType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="RequestedAuthnContextType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}AuthnContextClassRef" maxOccurs="unbounded"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}AuthnContextDeclRef" maxOccurs="unbounded"/>
             </choice>
             <attribute name="Comparison" type="{urn:oasis:names:tc:SAML:2.0:protocol}AuthnContextComparisonType" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<String>` | `authnContextClassRef`
    `protected List<String>` | `authnContextDeclRef`
    `protected AuthnContextComparisonType` | `comparison`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestedAuthnContextType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAuthnContextClassRef(String str)` Add an authn Context class ref
    `void` | `addAuthnContextDeclRef(String str)` Add authn context decl ref
    `List<String>` | `getAuthnContextClassRef()` Gets the value of the authnContextClassRef property.
    `List<String>` | `getAuthnContextDeclRef()` Gets the value of the authnContextDeclRef property.
    `AuthnContextComparisonType` | `getComparison()` Gets the value of the comparison property.
    `void` | `removeAuthnContextClassRef(String str)` Remove an authn Context class ref
    `void` | `removeAuthnContextDeclRef(String str)` remove authn context decl ref
    `void` | `setComparison(AuthnContextComparisonType value)` Sets the value of the comparison property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### authnContextClassRef

          protected List<String> authnContextClassRef

    - #### authnContextDeclRef

          protected List<String> authnContextDeclRef

    - #### comparison

          protected AuthnContextComparisonType comparison

  - ### Constructor Detail

    - #### RequestedAuthnContextType

          public RequestedAuthnContextType()

  - ### Method Detail

    - #### addAuthnContextClassRef

          public void addAuthnContextClassRef(String str)

      Add an authn Context class ref
      Parameters:
        `str` -

    - #### addAuthnContextDeclRef

          public void addAuthnContextDeclRef(String str)

      Add authn context decl ref
      Parameters:
        `str` -

    - #### removeAuthnContextClassRef

          public void removeAuthnContextClassRef(String str)

      Remove an authn Context class ref
      Parameters:
        `str` -

    - #### removeAuthnContextDeclRef

          public void removeAuthnContextDeclRef(String str)

      remove authn context decl ref
      Parameters:
        `str` -

    - #### getAuthnContextClassRef

          public List<String> getAuthnContextClassRef()

      Gets the value of the authnContextClassRef property.

    - #### getAuthnContextDeclRef

          public List<String> getAuthnContextDeclRef()

      Gets the value of the authnContextDeclRef property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the authnContextDeclRef property.

      For example, to add a new item, do as follows:

           getAuthnContextDeclRef().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getComparison

          public AuthnContextComparisonType getComparison()

      Gets the value of the comparison property.
      Returns:
        possible object is `AuthnContextComparisonType`

    - #### setComparison

          public void setComparison(AuthnContextComparisonType value)

      Sets the value of the comparison property.
      Parameters:
        `value` - allowed object is `AuthnContextComparisonType`

Copyright © 2020 JBoss by Red Hat. All rights reserved.